Subject: Re: [PATCH] powerpc/64s: Make boot look nice(r)

From: Nicholas Piggin <[email-masked]>
Date: Thu, 16 May 2019 16:08:26 +1000

Christophe Leroy's on May 16, 2019 2:47 pm:
> 
> 
> Le 16/05/2019 à 04:04, Nicholas Piggin a écrit :
>> Radix boot looks like this:
>> 
>>   -----------------------------------------------------
>>   phys_mem_size     = 0x200000000
>>   dcache_bsize      = 0x80
>>   icache_bsize      = 0x80
>>   cpu_features      = 0x0000c06f8f5fb1a7
>>     possible        = 0x0000fbffcf5fb1a7
>>     always          = 0x00000003800081a1
>>   cpu_user_features = 0xdc0065c2 0xaee00000
>>   mmu_features      = 0xbc006041
>>   firmware_features = 0x0000000010000000
>>   hash-mmu: ppc64_pft_size    = 0x0
>>   hash-mmu: kernel vmalloc start   = 0xc008000000000000
>>   hash-mmu: kernel IO start        = 0xc00a000000000000
>>   hash-mmu: kernel vmemmap start   = 0xc00c000000000000
>>   -----------------------------------------------------
>> 
>> Fix:
>> 
>>   -----------------------------------------------------
>>   phys_mem_size     = 0x200000000
>>   dcache_bsize      = 0x80
>>   icache_bsize      = 0x80
>>   cpu_features      = 0x0000c06f8f5fb1a7
>>     possible        = 0x0000fbffcf5fb1a7
>>     always          = 0x00000003800081a1
>>   cpu_user_features = 0xdc0065c2 0xaee00000
>>   mmu_features      = 0xbc006041
>>   firmware_features = 0x0000000010000000
>>   vmalloc start     = 0xc008000000000000
>>   IO start          = 0xc00a000000000000
>>   vmemmap start     = 0xc00c000000000000
>>   -----------------------------------------------------
>> 
>> Signed-off-by: Nicholas Piggin <[email-masked]>
> 
> I fear your change defeats most of the purpose of commit 
> https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/?h=next-20190515&id=e4dccf9092ab48a6f902003b9558c0e45d0e849a

I think it's still a significant improvement without introducing
the regression :)

> As far as I understand, the main issue is the "hash-mmu:" prefix ?
> That's due to the following define in top of book3s64/hash_utils.c:
> 
> #define pr_fmt(fmt) "hash-mmu: " fmt
> 
> Could we simply undef it just before print_system_hash_info() ?

Little bit fragile I think.

> Or move print_system_hash_info() in another book3s64 specific file which 
> doesn't set pr_fmt ?

print_system_info() would be okay for me and allow getting rid of
that PPC64 config. Although it also needs to go in a file without
pr_fmt I guess that's not so hard.

Thanks,
Nick